Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

Public Enum eDeliveryType
    eNotSet = 0
    eFax = 1
    eMail = 2
    ePostal = 3
    eLetter = 4
    ePhone = 5
    eOther = 6
End Enum
Public Enum eRegistryDirection
    eInput = 0
    eOutput = 1
End Enum
Public Enum eWFAction
    eQuitWithSucces = 0
    eQuitWithFailure = 1
    eGotoNextStep = 2
End Enum
Public Enum eRegistryMainType
    eAccount = 0 'Számla
    eOther = 1 'Egyéb
    eInvoiceAdvance = 2 'Előleg számla
    eInvoiceAdvanceAsk = 3 ' Előleg bekérő
    eInvoiceFinal = 4 'Végszámla
    eCRM = 5 'CRM-mel kapcsolatos iktatás
End Enum
Public Enum eRegistryAcceptState
    eAccept = 0 'Elfogad
    eDecline = 1 'Elutasít
End Enum
Public Enum eStepFinancialType
    eNoCheck = 0 'Nincs ellenőrzés
    eCheckVAT = 1 'ÁFA bontás szükséges
    eCheckControlling = 2 'Teljesítésre bontás szükséges
    eCheckCOCScanned = 3 'Teljesítési igazolás visszaszkennelése szükséges
    eCheckManager = 4 'Vezetői ellenőrzés lépése
    eCheckVATPlusControlling = 5 '5 első lépésnél ÁFA és sorbontás egyben 
End Enum
Public Enum eChoiceRowMode
    eFromContractRows = 0
    eFromCertificate = 1
End Enum
Public Enum eReinvoiceMode
    eNotSet = 0 'Nincs beállítva
    eDirect = 1  'Tételes beállítás
    eGeneral = 2 'Általános vagy egyedi vagy csoportos mód
End Enum
Public Enum eRegistryCRMType
    eNotSet = -1
    eOfferInAsk = 0 'Bejövő ajánlat kérés
    eOrderIn = 1 'Bejövő megrendelés
    eOfferIn = 2 'Bejövő ajánlat
    eComplaintIn = 3 'Bejövő reklamáció
End Enum

